#if !defined(AFX_NOTATIONDOC_H__8943068C_F629_41C6_917E_A79967AE86EC__INCLUDED_)
#define AFX_NOTATIONDOC_H__8943068C_F629_41C6_917E_A79967AE86EC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NotationDoc.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNotationDoc document

#include <stuff\stuff.hpp>

class CNotationDoc : public CDocument
{
protected:
	CNotationDoc();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CNotationDoc)

// Attributes
public:
	Stuff::Page *m_pPage;
	Stuff::Note *m_pNote;
	Stuff::NotationFile *GetNotationFile() {return m_pNoteFile;}

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNotationDoc)
	public:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	virtual void SetPathName(LPCTSTR lpszPathName, BOOL bAddToMRU = TRUE);
	protected:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CNotationDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	Stuff::NotationFile *m_pNoteFile;
	//{{AFX_MSG(CNotationDoc)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NOTATIONDOC_H__8943068C_F629_41C6_917E_A79967AE86EC__INCLUDED_)
